<?php

declare(strict_types=1);

namespace Dedi\SyliusOrderHistoryPlugin\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

final class Configuration implements ConfigurationInterface
{
    /**
     * @psalm-suppress UnusedVariable
     */
    public function getConfigTreeBuilder(): TreeBuilder
    {
        $treeBuilder = new TreeBuilder('dedi_sylius_order_history_plugin');
        $rootNode = $treeBuilder->getRootNode();

        return $treeBuilder;
    }
}
